Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network15.64.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
15.64.0.0
Broadcast address
15.127.255.255
First usable
15.64.0.1
Last usable
15.127.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 0F400000 · Integer 255852544 to 260046847
Reverse DNS zones
64.15.in-addr.arpa
65.15.in-addr.arpa
66.15.in-addr.arpa
67.15.in-addr.arpa
68.15.in-addr.arpa
69.15.in-addr.arpa
70.15.in-addr.arpa
71.15.in-addr.arpa
72.15.in-addr.arpa
73.15.in-addr.arpa
74.15.in-addr.arpa
75.15.in-addr.arpa
76.15.in-addr.arpa
77.15.in-addr.arpa
78.15.in-addr.arpa
79.15.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001111.01000000.00000000.0000000015.64.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00001111.01000000.00000000.0000000015.64.0.0
Broadcast00001111.01111111.11111111.1111111115.127.255.255
Split into smaller subnets/17

15.64.0.0/10 makes 128 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
115.64.0.0/1715.64.0.1 to 15.64.127.25415.64.127.25532,766
215.64.128.0/1715.64.128.1 to 15.64.255.25415.64.255.25532,766
315.65.0.0/1715.65.0.1 to 15.65.127.25415.65.127.25532,766
415.65.128.0/1715.65.128.1 to 15.65.255.25415.65.255.25532,766
515.66.0.0/1715.66.0.1 to 15.66.127.25415.66.127.25532,766
615.66.128.0/1715.66.128.1 to 15.66.255.25415.66.255.25532,766
715.67.0.0/1715.67.0.1 to 15.67.127.25415.67.127.25532,766
815.67.128.0/1715.67.128.1 to 15.67.255.25415.67.255.25532,766
915.68.0.0/1715.68.0.1 to 15.68.127.25415.68.127.25532,766
1015.68.128.0/1715.68.128.1 to 15.68.255.25415.68.255.25532,766
1115.69.0.0/1715.69.0.1 to 15.69.127.25415.69.127.25532,766
1215.69.128.0/1715.69.128.1 to 15.69.255.25415.69.255.25532,766
1315.70.0.0/1715.70.0.1 to 15.70.127.25415.70.127.25532,766
1415.70.128.0/1715.70.128.1 to 15.70.255.25415.70.255.25532,766
1515.71.0.0/1715.71.0.1 to 15.71.127.25415.71.127.25532,766
1615.71.128.0/1715.71.128.1 to 15.71.255.25415.71.255.25532,766
1715.72.0.0/1715.72.0.1 to 15.72.127.25415.72.127.25532,766
1815.72.128.0/1715.72.128.1 to 15.72.255.25415.72.255.25532,766
1915.73.0.0/1715.73.0.1 to 15.73.127.25415.73.127.25532,766
2015.73.128.0/1715.73.128.1 to 15.73.255.25415.73.255.25532,766
2115.74.0.0/1715.74.0.1 to 15.74.127.25415.74.127.25532,766
2215.74.128.0/1715.74.128.1 to 15.74.255.25415.74.255.25532,766
2315.75.0.0/1715.75.0.1 to 15.75.127.25415.75.127.25532,766
2415.75.128.0/1715.75.128.1 to 15.75.255.25415.75.255.25532,766
2515.76.0.0/1715.76.0.1 to 15.76.127.25415.76.127.25532,766
2615.76.128.0/1715.76.128.1 to 15.76.255.25415.76.255.25532,766
2715.77.0.0/1715.77.0.1 to 15.77.127.25415.77.127.25532,766
2815.77.128.0/1715.77.128.1 to 15.77.255.25415.77.255.25532,766
2915.78.0.0/1715.78.0.1 to 15.78.127.25415.78.127.25532,766
3015.78.128.0/1715.78.128.1 to 15.78.255.25415.78.255.25532,766
3115.79.0.0/1715.79.0.1 to 15.79.127.25415.79.127.25532,766
3215.79.128.0/1715.79.128.1 to 15.79.255.25415.79.255.25532,766
3315.80.0.0/1715.80.0.1 to 15.80.127.25415.80.127.25532,766
3415.80.128.0/1715.80.128.1 to 15.80.255.25415.80.255.25532,766
3515.81.0.0/1715.81.0.1 to 15.81.127.25415.81.127.25532,766
3615.81.128.0/1715.81.128.1 to 15.81.255.25415.81.255.25532,766
3715.82.0.0/1715.82.0.1 to 15.82.127.25415.82.127.25532,766
3815.82.128.0/1715.82.128.1 to 15.82.255.25415.82.255.25532,766
3915.83.0.0/1715.83.0.1 to 15.83.127.25415.83.127.25532,766
4015.83.128.0/1715.83.128.1 to 15.83.255.25415.83.255.25532,766
4115.84.0.0/1715.84.0.1 to 15.84.127.25415.84.127.25532,766
4215.84.128.0/1715.84.128.1 to 15.84.255.25415.84.255.25532,766
4315.85.0.0/1715.85.0.1 to 15.85.127.25415.85.127.25532,766
4415.85.128.0/1715.85.128.1 to 15.85.255.25415.85.255.25532,766
4515.86.0.0/1715.86.0.1 to 15.86.127.25415.86.127.25532,766
4615.86.128.0/1715.86.128.1 to 15.86.255.25415.86.255.25532,766
4715.87.0.0/1715.87.0.1 to 15.87.127.25415.87.127.25532,766
4815.87.128.0/1715.87.128.1 to 15.87.255.25415.87.255.25532,766
4915.88.0.0/1715.88.0.1 to 15.88.127.25415.88.127.25532,766
5015.88.128.0/1715.88.128.1 to 15.88.255.25415.88.255.25532,766
5115.89.0.0/1715.89.0.1 to 15.89.127.25415.89.127.25532,766
5215.89.128.0/1715.89.128.1 to 15.89.255.25415.89.255.25532,766
5315.90.0.0/1715.90.0.1 to 15.90.127.25415.90.127.25532,766
5415.90.128.0/1715.90.128.1 to 15.90.255.25415.90.255.25532,766
5515.91.0.0/1715.91.0.1 to 15.91.127.25415.91.127.25532,766
5615.91.128.0/1715.91.128.1 to 15.91.255.25415.91.255.25532,766
5715.92.0.0/1715.92.0.1 to 15.92.127.25415.92.127.25532,766
5815.92.128.0/1715.92.128.1 to 15.92.255.25415.92.255.25532,766
5915.93.0.0/1715.93.0.1 to 15.93.127.25415.93.127.25532,766
6015.93.128.0/1715.93.128.1 to 15.93.255.25415.93.255.25532,766
6115.94.0.0/1715.94.0.1 to 15.94.127.25415.94.127.25532,766
6215.94.128.0/1715.94.128.1 to 15.94.255.25415.94.255.25532,766
6315.95.0.0/1715.95.0.1 to 15.95.127.25415.95.127.25532,766
6415.95.128.0/1715.95.128.1 to 15.95.255.25415.95.255.25532,766
6515.96.0.0/1715.96.0.1 to 15.96.127.25415.96.127.25532,766
6615.96.128.0/1715.96.128.1 to 15.96.255.25415.96.255.25532,766
6715.97.0.0/1715.97.0.1 to 15.97.127.25415.97.127.25532,766
6815.97.128.0/1715.97.128.1 to 15.97.255.25415.97.255.25532,766
6915.98.0.0/1715.98.0.1 to 15.98.127.25415.98.127.25532,766
7015.98.128.0/1715.98.128.1 to 15.98.255.25415.98.255.25532,766
7115.99.0.0/1715.99.0.1 to 15.99.127.25415.99.127.25532,766
7215.99.128.0/1715.99.128.1 to 15.99.255.25415.99.255.25532,766
7315.100.0.0/1715.100.0.1 to 15.100.127.25415.100.127.25532,766
7415.100.128.0/1715.100.128.1 to 15.100.255.25415.100.255.25532,766
7515.101.0.0/1715.101.0.1 to 15.101.127.25415.101.127.25532,766
7615.101.128.0/1715.101.128.1 to 15.101.255.25415.101.255.25532,766
7715.102.0.0/1715.102.0.1 to 15.102.127.25415.102.127.25532,766
7815.102.128.0/1715.102.128.1 to 15.102.255.25415.102.255.25532,766
7915.103.0.0/1715.103.0.1 to 15.103.127.25415.103.127.25532,766
8015.103.128.0/1715.103.128.1 to 15.103.255.25415.103.255.25532,766
8115.104.0.0/1715.104.0.1 to 15.104.127.25415.104.127.25532,766
8215.104.128.0/1715.104.128.1 to 15.104.255.25415.104.255.25532,766
8315.105.0.0/1715.105.0.1 to 15.105.127.25415.105.127.25532,766
8415.105.128.0/1715.105.128.1 to 15.105.255.25415.105.255.25532,766
8515.106.0.0/1715.106.0.1 to 15.106.127.25415.106.127.25532,766
8615.106.128.0/1715.106.128.1 to 15.106.255.25415.106.255.25532,766
8715.107.0.0/1715.107.0.1 to 15.107.127.25415.107.127.25532,766
8815.107.128.0/1715.107.128.1 to 15.107.255.25415.107.255.25532,766
8915.108.0.0/1715.108.0.1 to 15.108.127.25415.108.127.25532,766
9015.108.128.0/1715.108.128.1 to 15.108.255.25415.108.255.25532,766
9115.109.0.0/1715.109.0.1 to 15.109.127.25415.109.127.25532,766
9215.109.128.0/1715.109.128.1 to 15.109.255.25415.109.255.25532,766
9315.110.0.0/1715.110.0.1 to 15.110.127.25415.110.127.25532,766
9415.110.128.0/1715.110.128.1 to 15.110.255.25415.110.255.25532,766
9515.111.0.0/1715.111.0.1 to 15.111.127.25415.111.127.25532,766
9615.111.128.0/1715.111.128.1 to 15.111.255.25415.111.255.25532,766
9715.112.0.0/1715.112.0.1 to 15.112.127.25415.112.127.25532,766
9815.112.128.0/1715.112.128.1 to 15.112.255.25415.112.255.25532,766
9915.113.0.0/1715.113.0.1 to 15.113.127.25415.113.127.25532,766
10015.113.128.0/1715.113.128.1 to 15.113.255.25415.113.255.25532,766
10115.114.0.0/1715.114.0.1 to 15.114.127.25415.114.127.25532,766
10215.114.128.0/1715.114.128.1 to 15.114.255.25415.114.255.25532,766
10315.115.0.0/1715.115.0.1 to 15.115.127.25415.115.127.25532,766
10415.115.128.0/1715.115.128.1 to 15.115.255.25415.115.255.25532,766
10515.116.0.0/1715.116.0.1 to 15.116.127.25415.116.127.25532,766
10615.116.128.0/1715.116.128.1 to 15.116.255.25415.116.255.25532,766
10715.117.0.0/1715.117.0.1 to 15.117.127.25415.117.127.25532,766
10815.117.128.0/1715.117.128.1 to 15.117.255.25415.117.255.25532,766
10915.118.0.0/1715.118.0.1 to 15.118.127.25415.118.127.25532,766
11015.118.128.0/1715.118.128.1 to 15.118.255.25415.118.255.25532,766
11115.119.0.0/1715.119.0.1 to 15.119.127.25415.119.127.25532,766
11215.119.128.0/1715.119.128.1 to 15.119.255.25415.119.255.25532,766
11315.120.0.0/1715.120.0.1 to 15.120.127.25415.120.127.25532,766
11415.120.128.0/1715.120.128.1 to 15.120.255.25415.120.255.25532,766
11515.121.0.0/1715.121.0.1 to 15.121.127.25415.121.127.25532,766
11615.121.128.0/1715.121.128.1 to 15.121.255.25415.121.255.25532,766
11715.122.0.0/1715.122.0.1 to 15.122.127.25415.122.127.25532,766
11815.122.128.0/1715.122.128.1 to 15.122.255.25415.122.255.25532,766
11915.123.0.0/1715.123.0.1 to 15.123.127.25415.123.127.25532,766
12015.123.128.0/1715.123.128.1 to 15.123.255.25415.123.255.25532,766
12115.124.0.0/1715.124.0.1 to 15.124.127.25415.124.127.25532,766
12215.124.128.0/1715.124.128.1 to 15.124.255.25415.124.255.25532,766
12315.125.0.0/1715.125.0.1 to 15.125.127.25415.125.127.25532,766
12415.125.128.0/1715.125.128.1 to 15.125.255.25415.125.255.25532,766
12515.126.0.0/1715.126.0.1 to 15.126.127.25415.126.127.25532,766
12615.126.128.0/1715.126.128.1 to 15.126.255.25415.126.255.25532,766
12715.127.0.0/1715.127.0.1 to 15.127.127.25415.127.127.25532,766
12815.127.128.0/1715.127.128.1 to 15.127.255.25415.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses